:root {
    --card-width:300px;
    --card-height:400px;
}

body {
    margin: 0;
    min-height: 100vh;
    min-height: 100svh;
    background: linear-gradient(135deg, #f8c8dc, #d9b3ff);
    background-attachment: fixed; 
    font-family: sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
}

.card-container {
    width: 100%; 
    padding:20px;
    display: grid;
    justify-content: center; 
    grid-template-columns: repeat(auto-fit, minmax(200px, var(--card-width)));
    /* grid-auto-rows: var(--card-height); */
    gap: 20px;
}

.card {
    max-width: var(--card-width);
    max-height: var(--card-height);
    border-radius: 10px;
    box-shadow: 0 10px 20px rgba(0,0,0,0.2);
    overflow: hidden;
    line-height: 0;
}

.card img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    object-position: top;
}
